%define         docfiles              COPYING README

Name:           wmbutton
Version:        0.7.1
Release:        %mkrel 4
Summary:        A very configurable dockapp for launching any program
License:        GPLv2
Group:          System/X11

URL:            http://greek0.net/~greek0/wmbutton.html
#URL2           http://repo.or.cz/w/dockapps.git
Source0:        http://greek0.net/~greek0/wmbutton/%{name}-%{version}.tar.gz


#Update default config file with mageia applications
Patch0:         %{name}-0.7.1-configfile.patch

BuildRequires:  ctags
BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)

#To make the default configuration working
Recommends:       firefox
Recommends:       xterm
Recommends:       pidgin
Recommends:       libreoffice-writer
Recommends:       gnuplot
Recommends:       emacs
Recommends:       gimp
Recommends:       gv
Recommends:       audacious


%description
Wmbutton is a very efficient graphical launcher dockapp for
WindowMaker, or any window manager and desktop environment that
handles dock applications. It displays nine small icons which can be
clicked on with any of the three mouse buttons to start your favorite
programs. All possible actions are specified in an easy-to-understand
configuration file ".wmbutton", assumed to reside in your home
directory, and allowing for 27 different applications to be started
(one per mouse button and icon). The default configuration is
specified in %{_sysconfdir}/%{name}.conf.



%prep
%setup -q
%autopatch -p1


%build
autoreconf -fi
%configure
%make_build


%install

install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 644 wmbutton.conf %{buildroot}%{_datadir}/%{name}/sample.wmbutton
install -D -m 644 wmbutton.conf %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -m 644 wmbutton.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m 644 icons/*.xpm %{buildroot}%{_datadir}/%{name}

%files
%doc %{docfiles}
%{_bindir}/wmbutton
%dir %{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/sample.wmbutton
%{_datadir}/%{name}/*.xpm
%{_datadir}/applications/*.desktop
%{_mandir}/man1/%{name}.1.*




%changelog
* Wed Mar 30 2022 umeabot <umeabot> 0.7.1-4.mga9
+ Revision: 1835094
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.7.1-3.mga8
+ Revision: 1518147
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7.1-2.mga7
+ Revision: 1301679
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 eatdirt <eatdirt> 0.7.1-1.mga7
+ Revision: 1239449
- Upgrade to version 0.7.1

* Fri Sep 22 2017 cjw <cjw> 0.7.0-10.mga7
+ Revision: 1157115
- setup compile flags to fix debug packages

* Fri Feb 05 2016 umeabot <umeabot> 0.7.0-9.mga6
+ Revision: 937438
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.7.0-8.mga6
+ Revision: 936997
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-7.mga5
+ Revision: 739973
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-6.mga5
+ Revision: 690326
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.7.0-5.mga4
+ Revision: 520271
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.0-4.mga3
+ Revision: 385721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.7.0-3.mga3
+ Revision: 314571
- Fix empty line in description

* Mon Nov 05 2012 eatdirt <eatdirt> 0.7.0-2.mga3
+ Revision: 314551
- Fix typos in description

* Fri Aug 31 2012 eatdirt <eatdirt> 0.7.0-1.mga3
+ Revision: 286723
- Upgrade to version 0.7.0

* Wed Aug 22 2012 eatdirt <eatdirt> 0.6.1-2.mga3
+ Revision: 283133
- Added patch to fix obsolete config file, added a few Suggests to make it work

* Fri Sep 30 2011 eatdirt <eatdirt> 0.6.1-1.mga2
+ Revision: 150494
- imported package wmbutton


* Fri Sep 30 2011 Chris Ringeval <dirteat@gmail.com> 0.6.1-1.mga2
- import wmbutton, patch to fix old X11 include path
